Issues With JavaScript in APEX Using Internet Explorer 7 and Above (Doc ID 1453781.1)

Last updated on FEBRUARY 26, 2016

Applies to:

Oracle Application Express (formerly HTML DB) - Version 4.0 to 4.1.1.00.23 [Release 4]
Information in this document applies to any platform.

Symptoms

*Symptoms
Briefly describe the symptoms of the problem. Remember to delete any customer specific information

Using the same JavaScript calls that succeeded in Development are failing in Production and receiving an error "getElementsByClassName is NOT Supported" message box.

Environment Facts / Examples:

1. APEX Version 4.1.1.00.23 Both Environments
  A. Dev was taken to 4.1.1.00.23 via two patches (12920544 and 13331096)
  B. Production was installed as 4.1.1.00.23 directly
2. DB Versions
  A. Dev - 11.2.0.1
  B. Prod - 10.2.0.4
3. PL/SQL Web Toolkit
  A. Dev - 10.1.2.0.8
  B. Prod - 10.1.2.0.6 (Upgraded from 10.1.2.05 using supplied owa in APEX install media)
4. Both using the Oracle HTTP Server from FUSION MIDDLEWARE 11g with mod_plsql plugin.


Using Internet Explorer 8 & 9 you will get this error message.  Other browsers, such as, Chrome, Safari and FireFox work without any errors.

 

Example JavaScript call that fails only in Production.

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms